SimpleListDeserializerFactory (Axis API)
Keywords: org.apache.axis.encoding.ser.SimpleListDeserializerFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding.ser
Class SimpleListDeserializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseDeserializerFactory
              org.apache.axis.encoding.ser.SimpleListDeserializerFactory

All Implemented Interfaces:
  DeserializerFactory, DeserializerFactory, java.io.Serializable

public class SimpleListDeserializerFactory
extends BaseDeserializerFactory

DeserializerFactory for based on SimpleDeserializerFactory

Author:
  Ias (iasandcb@tmax.co.kr)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`deserClass, deserClassConstructor, getDeserializer, javaType, log, xmlType`

Constructor Summary
`SimpleListDeserializerFactory(java.lang.Class javaType, QName xmlType)` Note that the factory is constructed with the QName and xmlType.

Method Summary
`Deserializer` | `getDeserializerAs(java.lang.String mechanismType)` Get the Deserializer and the set the Constructor so the deserializer does not have to do introspection.

Methods inherited from class org.apache.axis.encoding.ser.BaseDeserializerFactory
`createFactory, getDeserClassConstructor, getGeneralPurpose, getGetDeserializer, getSpecialized, getSupportedMechanismTypes`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleListDeserializerFactory

    public SimpleListDeserializerFactory(java.lang.Class javaType,
                                         QName xmlType)

  Note that the factory is constructed with the QName and xmlType. This is important to allow distinction between primitive values and java.lang wrappers.

Method Detail

### getDeserializerAs

    public Deserializer getDeserializerAs(java.lang.String mechanismType)
                                   throws JAXRPCException

  Get the Deserializer and the set the Constructor so the deserializer does not have to do introspection.

  Specified by:
    `getDeserializerAs` in interface `DeserializerFactory`
  Overrides:
    `getDeserializerAs` in class `BaseDeserializerFactory`
  Throws:
    `JAXRPCException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.